boost::geometry::radius_type< Geometry > Struct Template Reference
access: get/set coordinate values, make objects, clear geometries, append point(s)

Metafunction to get the type of radius of a circle / sphere / ellipse / etc. More...

List of all members.

## Public Types

typedef core_dispatch::radius_type < typename tag< Geometry > ::type, typename util::bare_type< Geometry > ::type >::type | type

## Detailed Description

### template<typename Geometry>
struct boost::geometry::radius_type< Geometry >

Metafunction to get the type of radius of a circle / sphere / ellipse / etc.

Template Parameters:

  Geometry | the type of geometry

## Member Typedef Documentation

template<typename Geometry>

typedef core_dispatch::radius_type< typename tag<Geometry>::type, typename util::bare_type<Geometry>::type >::type boost::geometry::radius_type< Geometry >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK